// Synth Cat 4000
// 22/04/24
// From the SynthCat4000 project on Instructables.


#include <synth.h>

synth emSynth;    //-Make a synth

//------ Pins -------
const int ledPin = 13;
//-------------------

//------ Vars -------
int waveState = 0;      //  has the button been pressed
//-------------------

void setup() {
  pinMode(ledPin, OUTPUT);    //set our led pin pin as an output
   
  emSynth.begin();                                   //   Start up the em synth
  emSynth.setupVoice(0, SQUARE, 60, ENVELOPE1, 10, 64); //-Set up voice square wave
  emSynth.setupVoice(1, TRIANGLE, 60, ENVELOPE1, 10, 64); //-Set up voice saw tooth wave
}

void loop()
{
  digitalWrite(ledPin, HIGH);
  int modValue = analogRead(A1);          //read the frequency value of the pot on A0
  int freqValue = analogRead(A0);         //read the modulation value of the pot on A1
  freqValue = map(freqValue, 0, 1024, 10, 2400);
  emSynth.setFrequency(0, freqValue);   //  set the freqency with the value of the pot
  emSynth.setFrequency(1, freqValue + 10); //  set the freqency with the value of the pot


  emSynth.trigger(0);   //  trigger the output
  emSynth.trigger(1);   //  trigger the output
  
  modValue = map(modValue, 0, 1024, 0, 100);  //  we don't want a big delay value so reduce it to 0 to 100
  delay(modValue);    // this chucks in a delay between the times we turn the waveform on
}
